QB_IPCS_CONNECTION_FIRST_GET(3)

NAME
qb_ipcs_connection_first_get - Get the first connection.

SYNOPSIS
#include <qb/qbipcs.h>

qb_ipcs_connection_t * qb_ipcs_connection_first_get(
    qb_ipcs_service_t   *pt   /* service instance */
);

PARAMS
pt service instance

DESCRIPTION

RETURN VALUE

first connection

NOTE

call qb_ipcs_connection_unref() after using the connection.

SEE ALSO

qb_ipcs_response_send(3), qb_ipcs_ref(3), qb_ipcs_unref(3), qb_ipcs_connection_auth_set(3), qb_ipcs_service_context_get(3), qb_ipcs_connection_ref(3), qb_ipcs_connection_next_get(3), qb_ipcs_stats_get(3), qb_ipcs_connection_unref(3), qb_ipcs_context_set(3), qb_ipcs_poll_handlers_set(3), qb_ipcs_request_rate_limit(3), qb_ipcs_disconnect(3), qb_ipcs_enforce_buffer_size(3), qb_ipcs_destroy(3), qb_ipcs_event_send(3), qb_ipcs_connection_stats_get_2(3), qb_ipcs_service_context_set(3), qb_ipcs_connection_stats_get(3), qb_ipcs_service_id_get(3), qb_ipcs_context_get(3), qb_ipcs_connection_get_buffer_size(3), qb_ipcs_create(3), qb_ipcs_run(3), qb_ipcs_event_sendv(3), qb_ipcs_connection_service_context_get(3), qb_ipcs_response_sendv(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.